Subject: Re: linux-next boot error: WARNING: suspicious RCU usage in ip6mr_get_table

From: Madhuparna Bhowmik <[email-masked]>
Date: Tue, 12 May 2020 10:36:16 +0530

On Tue, May 12, 2020 at 11:28:47AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Fri, 8 May 2020 04:54:02 +0530 Madhuparna Bhowmik <[email-masked]> wrote:
> >
> > On Thu, May 07, 2020 at 08:50:55AM -0400, Qian Cai wrote:
> > > 
> > >   
> > > > On May 7, 2020, at 5:32 AM, Dmitry Vyukov <[email-masked]> wrote:
> > > > 
> > > > On Thu, May 7, 2020 at 11:26 AM syzbot
> > > > <[email-masked]> wrote:  
> > > >> 
> > > >> Hello,
> > > >> 
> > > >> syzbot found the following crash on:
> > > >> 
> > > >> HEAD commit:    6b43f715 Add linux-next specific files for 20200507
> > > >> git tree:       linux-next
> > > >> console output: https://syzkaller.appspot.com/x/log.txt?x=16f64370100000
> > > >> kernel config:  https://syzkaller.appspot.com/x/.config?x=ef9b7a80b923f328
> > > >> dashboard link: https://syzkaller.appspot.com/bug?extid=761cff389b454aa387d2
> > > >> compiler:       gcc (GCC) 9.0.0 20181231 (experimental)
> > > >> 
> > > >> Unfortunately, I don't have any reproducer for this crash yet.
> > > >> 
> > > >> IMPORTANT: if you fix the bug, please add the following tag to the commit:
> > > >> Reported-by: [email-masked]  
> > > > 
> > > > 
> > > > +linux-next for linux-next boot breakage  
> > > 
> > > Amol, Madhuparna, Is either of you still working on this?
> > >   
> > > >> =============================
> > > >> WARNING: suspicious RCU usage
> > > >> 5.7.0-rc4-next-20200507-syzkaller #0 Not tainted
> > > >> -----------------------------
> > > >> net/ipv6/ip6mr.c:124 RCU-list traversed in non-reader section!!
> > > >>  
> > I had some doubt in this one, I have already mailed the maintainers,
> > waiting for their reply.
> 
> This is blocking syzbot testing of linux-next ... are we getting
> anywhere?  Will a patch similar to the ipmr.c one help here?
>
Hi Stephen,

There are some discussions going on about the ipmr.c patch, I guess even
ip6mr can be fixed in a similar way. Let me still confirm once.

Thank you,
Mahuparna

> -- 
> Cheers,
> Stephen Rothwell